- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# APRInitializer Class Reference

List of all members.

## Public Member Functions
| ~APRInitializer ()
## Static Public Member Functions
static log4cxx_time_t | initialize ()
static apr_pool_t * | getRootPool ()
static apr_threadkey_t * | getTlsKey ()
## Static Public Attributes
static bool | isDestructed

## Constructor & Destructor Documentation

~APRInitializer | ( |  | ) |

## Member Function Documentation

static apr_pool_t* getRootPool | ( |  | ) | `[static]`

static apr_threadkey_t* getTlsKey | ( |  | ) | `[static]`

static log4cxx_time_t initialize | ( |  | ) | `[static]`

## Member Data Documentation

bool isDestructed`[static]`

The documentation for this class was generated from the following file:

- aprinitializer.h